---
title: "Lynne Teaches Tech: The DK64 Memory Leak"
author: Lynne
categories: [Lynne Teaches Tech, Originally from the Fediverse]
tags: [Lynne Teaches Tech]
---

Donkey Kong 64 was about to be released when the developers discovered that there was a memory leak that caused the game to crash after a few minutes. There was no time to fix it, so what they did instead was require the game to be played with the expansion pak, which doubled the N64's RAM. This meant that the game would only crash after \~10 hours rather than a few minutes.

Computers have two main types of storage: the hard drive (or solid state drive), which is where you keep your documents, videos, etc., and memory (or RAM), which is where the computer stores things it's currently "thinking about". If you have a document open in powerpoint, it's in memory. Memory is a LOT faster than the hard drive, so it's preferable to use it when possible.

A memory leak is when you keep putting things in memory without taking them out, causing the amount of memory used to slowly go up and up until the computer runs out of memory and crashes. This is what happened with DK64.

The expansion pak added more memory to the Nintendo 64 (the system DK64 runs on), which meant that running out of memory would take a lot longer (in this case, ten hours instead of a few minutes). It's not a fix, but it was good enough.

[View original post  
](https://fedi.lynnesbian.space/web/statuses/101514903220023730)

